# using DSSSL stylesheet

JADE_BIN?=	openjade
JADE?=		${JADE_BIN} 
JADETEX_BIN?=	jadetex
JADETEX?=	${JADETEX_BIN}

JADE_HTML_OPTS?=-t sgml -i output.html -V nochunks
JADE_HTMLCHUNK_OPTS?=-t sgml -i output.html -V html-manifest -V %generate-legalnotice-link%
JADE_RTF_OPTS?= -t rtf  -i output.print -i output.print.rtf
JADE_TEX_OPTS?= -t tex  -i output.print -i output.print.tex -i output.print.niceheaders

JADE_OTHER_OPTS?= -d ${DSSSL} ${SGML_CATALOGS}

DSSSL?=	${WEB_PREFIX}/guide/share/dsl/default.dsl

${HTML_INDEX}: ${DOC}.xml
	${JADE} ${JADE_HTMLCHUNK_OPTS} ${JADE_OTHER_OPTS} $(XML_DECL) $?
.if !defined(NO_TIDY)
	-${TIDY} `cat ${MANIFEST}` 
.endif

${DOC}.html: ${DOC}.xml
	${JADE} ${JADE_HTML_OPTS} ${JADE_OTHER_OPTS} $(XML_DECL) $? > $@
	echo "$@" >> ${MANIFEST}
.if !defined(NO_TIDY)
	-${TIDY} $@
.endif

.xml.tex:
	${JADE} ${JADE_TEX_OPTS} ${JADE_OTHER_OPTS} -o $@ $(XML_DECL) $<

.tex.ps:
	-$(JADETEX) $*.tex
	-$(JADETEX) $*.tex
	-$(JADETEX) $*.tex
	${DVIPS} -f $*.dvi > $@
	rm -f *.log *.aux

.ps.pdf:
	$(PS2PDF) $<
